github.com
Deterministic Simulator for distributed systems.
Crate
v0.2.34
2025-10-11
github.com
Ethereum types
Crate
v0.16.0
2025-10-09
github.com
`keccak-hash` is a set of utility functions to facilitate working with Keccak hashes (256/512 bits long).
Crate
v0.12.0
2025-10-09
github.com
Side-by-side diff for two files
Crate
v0.9.0
2025-10-09
github.com
Determine displayed width of `char` and `str` types
according to Unicode Standard Annex #11 rules.
Crate
v0.2.2
2025-10-06
github.com
## Summary [summary]: #summary Propose a slate of 41 goals for 2025H2. ## Motivation The 2025h2 goal slate consists of 41 project goals, of which we have selected a subset as **flagship goals**. Flagship goals represent the highest priority...
RFC 3849
RFC
2025-09-22
~30 min read
github.com
Primitive types shared by Ethereum and Substrate
Crate
v0.14.0
2025-09-19
github.com
# Summary [summary]: #summary Introduce the concept of "mitigation enforcement", so that when compiling a crate with mitigations enabled (for example, `-C stack-protector`), a compilation error will happen if the produced artifact would con...
RFC 3855
RFC
2025-09-13
~21 min read
github.com
A zero overhead I/O library for Windows, focusing on IOCP and async I/O
abstractions.
Crate
v0.6.1
2025-09-10
github.com
Unofficial flatbuffers and tonic code of Apache Arrow spec
Crate
v0.2.1
2025-08-28
github.com
WebP encoding and decoding in pure Rust
Crate
v0.2.4
2025-08-27
github.com
macros and helpers for parsing netlink messages
Crate
v0.6.1-deprecated
2025-08-27
github.com
X.509 certificate parser and utility functionality
Crate
v0.25.0
2025-08-17
github.com
A pure Rust implementation of Crypographic Message Syntax (RFC 5652)
Crate
v0.28.0
2025-08-17
github.com
Asynchronous Virtio socket support for Rust
Crate
v0.7.2
2025-08-16
github.com
## Summary [summary]: #summary Demote target `x86_64-apple-darwin` from Tier 1 to Tier 2 with host tools as this platform's lifetime is limited. Tier 2 with host tools means that the `x86_64-apple-darwin` target, including tools like `rustc...
RFC 3841
RFC
2025-07-23
~4 min read
github.com
Core utilities for the five8 crates.
Crate
v1.0.0
2025-07-12
github.com
Compile-time base58 decoding.
Crate
v1.0.0
2025-07-12
github.com
Fast base58 encoding and decoding for 32-byte and 64-byte arrays.
Crate
v1.0.0
2025-07-12
github.com
## Summary [summary]: #summary The `const` operand to `asm!` and `global_asm!` currently only accepts integers. Change it to also accept pointer values. The value must be computed during const evaluation. The operand expands to the name of...
RFC 3848
RFC
2025-07-09
~24 min read